GFEDQUOTA(1)

NAME
gfedquota - edit file limits

SYNOPSIS

gfedquota [options] -u user_name

gfedquota [options] -g group_name

gfedquota [options] -D dirset_name

DESCRIPTION

gfedquota sets or changes the limitation of user, group and directory quota.

There are two kinds of limits which are "soft limit" and "hard limit". Soft limits have a grace period. Limitations can be specified by the total number of files, the total space of files, the total number of files including replicas and the total space of files including replicas. Specifying 'disable' or -1 removes the limitation. If no option is specified, no quota is imposed.

This command requires the gfarmadm group privilege except the -D option. The -D option requires the gfarmroot group privilege.

OPTIONS

-P NAME, --path=NAME
    Specifies a path name to specify a metadata server instead of the root metadata server.

-u NAME, --user=NAME
    Specifies a user name to edit limits.

-g NAME, --group=NAME
    Specifies a group name to edit limits.

-D NAME, --dirset=NAME
    Specifies a dirset name to edit limits.

-G SECOND, --grace=SECOND
    Specifies a grace period in seconds for soft limits.

-s BYTE, --softspc=BYTE
    Specifies a soft limit of file space in bytes.

-h BYTE, --hardspc=BYTE
    Specifies a hard limit of file space in bytes.

-m NUM, --softnum=NUM
    Specifies a soft limit of number of files.

-n NUM, --hardnum=NUM
    Specifies a hard limit of number of files.

-S BYTE, --physoftspc=BYTE
    Specifies a soft limit of physical file space in bytes including replicas.

-H BYTE, --phyhardspc=BYTE
    Specifies a hard limit of physical file space in bytes including replicas.

-M NUM, --physoftnum=NUM
    Specifies a soft limit of number of physical files including replicas.

-N NUM, --phyhardnum=NUM
    Specifies a hard limit of number of physical files including replicas.

-?
    Displays a list of command options.

SEE ALSO

gfquota(1), gfquotacheck(1), gfdirquota(1), gfusage(1), Gfarm Users' Manual / Directory Quota